| Flutter Linux Embedder |

Functions
fl_binary_messenger_private.h File Reference
`#include <glib-object.h>`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_engine.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS FlBinaryMessenger * | fl_binary_messenger_new (FlEngine *engine)
void | fl_binary_messenger_shutdown (FlBinaryMessenger *messenger)

## Function Documentation

## ◆ fl_binary_messenger_new()

G_BEGIN_DECLS FlBinaryMessenger* fl_binary_messenger_new | ( | FlEngine * | engine | ) |

fl_binary_messenger_new: @engine: The #FlEngine to communicate with.

Creates a new #FlBinaryMessenger. The binary messenger will take control of the engines platform message handler.

Returns: a new #FlBinaryMessenger.

Definition at line 399 of file fl_binary_messenger.cc.

399 {
400 g_return_val_if_fail(FL_IS_ENGINE(engine), nullptr);
401
402 FlBinaryMessengerImpl* self = FL_BINARY_MESSENGER_IMPL(
403 g_object_new(fl_binary_messenger_impl_get_type(), nullptr));
404
405 // Added to stop compiler complaining about an unused function.
406 FL_IS_BINARY_MESSENGER_IMPL(self);
407
408 g_weak_ref_init(&self->engine, G_OBJECT(engine));
409
410 fl_engine_set_platform_message_handler(
411 engine, fl_binary_messenger_platform_message_cb, self, NULL);
412
413 return FL_BINARY_MESSENGER(self);
414 }

References fl_binary_messenger_platform_message_cb(), and fl_engine_set_platform_message_handler().

Referenced by fl_engine_new_with_renderer(), TEST(), and test_lock_event().

## ◆ fl_binary_messenger_shutdown()

void fl_binary_messenger_shutdown | ( | FlBinaryMessenger * | messenger | ) |

fl_binary_messenger_shutdown: @messenger: an #FlBinaryMessenger.

Shutdown the messenger closing any open channels.

Definition at line 486 of file fl_binary_messenger.cc.

486 {
487 g_return_if_fail(FL_IS_BINARY_MESSENGER(self));
488
489 return FL_BINARY_MESSENGER_GET_IFACE(self)->shutdown(self);
490 }

Referenced by fl_engine_dispose().

fl_engine_set_platform_message_handler
void fl_engine_set_platform_message_handler(FlEngine *self, FlEnginePlatformMessageHandler handler, gpointer user_data, GDestroyNotify destroy_notify)
Definition: fl_engine.cc:718
fl_binary_messenger_platform_message_cb
static gboolean fl_binary_messenger_platform_message_cb(FlEngine *engine, const gchar *channel, GBytes *message, const FlutterPlatformMessageResponseHandle *response_handle, void *user_data)
Definition: fl_binary_messenger.cc:152